# LedgerHashes | xrpl
Documentation for xrpl

# Interface LedgerHashes

The LedgerHashes objects exist to make it possible to look up a previous ledger's hash with only the current ledger version and at most one lookup of a previous ledger version.

#### Hierarchy

- default
  - LedgerHashes

- Defined in packages/xrpl/src/models/ledger/LedgerHashes.ts:10

#####
Index

### Properties

Flags
Hashes
LastLedgerSequence?
LedgerEntryType
index

## Properties

### Flags

Flags: number

A bit-map of boolean flags for this object. No flags are defined for this type.

- Defined in packages/xrpl/src/models/ledger/LedgerHashes.ts:23

### Hashes

Hashes: string[]

An array of up to 256 ledger hashes. The contents depend on which sub-type of LedgerHashes object this is.

- Defined in packages/xrpl/src/models/ledger/LedgerHashes.ts:18

### `Optional` LastLedgerSequence

LastLedgerSequence?: number

The Ledger Index of the last entry in this object's Hashes array.

- Defined in packages/xrpl/src/models/ledger/LedgerHashes.ts:13

### LedgerEntryType

LedgerEntryType: "LedgerHashes"

- Defined in packages/xrpl/src/models/ledger/LedgerHashes.ts:11

### index

index: string

Inherited from BaseLedgerEntry.index

- Defined in packages/xrpl/src/models/ledger/BaseLedgerEntry.ts:2

Generated using TypeDoc